CVE-2023-46596

CVSS 3.1 Score 5.1 of 10 (medium)

Details

Published Feb 15, 2024
CWE ID 79

Summary

CVE-2023-46596 is a vulnerability that affects Algosec FireFlow VisualFlow workflow editor versions A32.20, A32.50, and A32.60. The vulnerability allows attackers to initiate a cross-site scripting (XSS) attack by injecting malicious executable scripts into the application's code through the Name, Description, and Configuration File fields. The issue has been fixed in version A32.20 (b600 and above), A32.50 (b430 and above), and A32.60 (b250 and above). The vulnerability has a risk score of 25, with a base severity of medium and a base score of 5.1 according to CVSS:3.1 metrics provided by Algosec. It requires high privileges and user interaction, with an attack vector in the adjacent network. The impact on integrity is low, but confidentiality is high.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-46596 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options